#ifndef ALARM_H
#define ALARM_H
#include <Flek/Fl_App_Window.H>
#include <time.h>
#include<flpda/Fl_Paged_Select_Browser.H>
#include <sys/types.h>
#include <FL/Fl_Window.H>

extern int testt;

class AlarmWidget : public Fl_Window {
	private: 
		virtual void draw();
		int drawcnt;
	public:
		AlarmWidget(int x, int y, int w, int h, char *l = 0);
};

class Alarm {
	private:
		static void alarmb_cb(Fl_Widget* w, void* data);
	public:
		void alarm_display(char* description);
		AlarmWidget* w;
	~Alarm();
};

void alarm_display(char* description);
#endif
